cancel
Showing results for 
Search instead for 
Did you mean: 

Patches won't install on 1.9.0.1

Patches won't install on 1.9.0.1

Hello,

 

I have attempted to install numerous patches on my Magento 1.9.0.1 installation. So far the only one that took was SUPEE 5994 but it was for Magento version 1.6.0.0 (downloaded and install that by accident but it applied). I can't install the following: 7405, 6284, 6788, 6482, and 5344. They all report similar errors such as:

patching file app/design/frontend/default/modern/layout/customer.xml
can't find file to patch at input line 4252
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git app/design/frontend/rwd/default/layout/customer.xml app/design/frontend/rwd/default/layout/customer.xml
|index 2fa3cf5..5a47d5e 100644
|--- app/design/frontend/rwd/default/layout/customer.xml
|+++ app/design/frontend/rwd/default/layout/customer.xml
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
2 out of 2 hunks ignored
can't find file to patch at input line 4277
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git app/design/frontend/rwd/default/template/customer/form/resetforgottenpassword.phtml app/design/frontend/rwd/default/template/customer/form/resetforgottenpassword.phtml
|index abdaae8..c079fcc 100644
|--- app/design/frontend/rwd/default/template/customer/form/resetforgottenpassword.phtml
|+++ app/design/frontend/rwd/default/template/customer/form/resetforgottenpassword.phtml
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 4290
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git app/design/frontend/rwd/default/template/persistent/customer/form/register.phtml app/design/frontend/rwd/default/template/persistent/customer/form/register.phtml
|index f947b45..b46b6fc 100644
|--- app/design/frontend/rwd/default/template/persistent/customer/form/register.phtml
|+++ app/design/frontend/rwd/default/template/persistent/customer/form/register.phtml
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
patching file cron.php
patching file errors/processor.php
Hunk #1 succeeded at 463 with fuzz 2.
patching file lib/Unserialize/Parser.php
patching file lib/Unserialize/Reader/Arr.php
patching file lib/Unserialize/Reader/ArrKey.php
patching file lib/Unserialize/Reader/ArrValue.php
patching file lib/Unserialize/Reader/Bool.php
patching file lib/Unserialize/Reader/Dbl.php
patching file lib/Unserialize/Reader/Int.php
patching file lib/Unserialize/Reader/Str.php
patching file lib/Varien/Data/Collection/Db.php
[***@*** html]$

Every patch throws almost the same output like this. Any assistance is greatly appreciated.

1 REPLY

Re: Patches won't install on 1.9.0.1

So, I figured out the problems I was having with each patch I was doing and corrected them at each instance and I'm now 100% patched. So as a friendly reminder for anyone who is just quick to throw posts to ask before paying too much attention to what I was getting. Just read where each part failed and was skipped. It tells you exactly where it was going wrong. Do your patches in order as well (best practice is to go by release dates). Most of my problems were missing files or altered files, I like to keep code clean and bloat free, I guess magento disagrees, leading to all my frustrations. Also clear (or just refresh) cache after each patch install and verify all your pages are in working order and/or repair any pages that decided to be adversely affected by these patches, then proceed with your next patch and repeat steps as necessary.